image: ruby:2.5.0
services:
  - postgres:latest

variables:
  POSTGRES_DB: test_db
  POSTGRES_USER: runner
  POSTGRES_PASSWORD: ""

before_script:
  - apt-get update -qq && apt-get install -y -qq postgresql postgresql-contrib libpq-dev cmake
  - ruby -v
  - which ruby
  - gem install bundler --no-ri --no-rdoc
  - RAILS_ENV=test bundle install --jobs $(nproc) "${FLAGS[@]}"
  - cp config/database.yml config/database.yml.bak
  - cp config/database.yml.gitlab config/database.yml
  - RAILS_ENV=test bundle exec rake db:create db:schema:load

after_script:
  - cp config/database.yml.bak config/database.yml
  - rm config/database.yml.bak

stages:
  - test
  - build

test:
  stage: test
  script:
    - bundle install
    - rails test

build:
  stage: build
  script:
    - bundle package 
  artifacts:
    paths:
      - .
